CHECK_RABBITMQ_OVERVIEW(1p)

NAME
check_rabbitmq_overview - Nagios plugin using RabbitMQ management API to count the messages pending on the broker

SYNOPSIS
check_rabbitmq_overview [options] -H hostname

DESCRIPTION
Use the management interface of RabbitMQ to count the number of pending, ready and unacknowledged messages. These are published as performance metrics for the check.

Critical and warning thresholds can be set for each of the metrics.

It uses Monitoring::Plugin and accepts all standard Nagios options.

OPTIONS

-h | --help
    Display help text

-v | --verbose
    Verbose output

-t | --timeout
    Set a timeout for the check in seconds

-H | --hostname | --host
    The host to connect to

--port
    The port to connect to (default: 55672)

--ssl
    Use SSL when connecting (default: false)

--username | --user
    The user to connect as (default: guest)

--pass
    The password for the user (default: guest)

-w | --warning
    The warning levels for each count of messages, messages_ready and messages_unacknowledged. This field consists of three comma-separated integers. Specify -1 if no threshold for a particular count.

-c | --critical
    The critical levels for each count of messages, messages_ready and messages_unacknowledged. This field consists of three comma-separated integers. Specify -1 if no threshold for a particular count

EXAMPLES
The defaults all work with a standard fresh install of RabbitMQ, and all that is needed is to specify the host to connect to:

    check_rabbitmq_overview -H rabbit.example.com

This returns a standard Nagios result:

    RABBITMQ_OVERVIEW OK - messages OK (25794) messages_ready OK (22971)
      messages_unacknowledged OK (2823) | messages=25794;;
      messages_ready=22971;; messages_unacknowledged=2823;;

ERRORS
The check tries to provide useful error messages on the status line for standard error conditions.

Otherwise it returns the HTTP Error message returned by the management interface.

EXIT STATUS
Returns zero if check is OK otherwise returns standard Nagios exit codes to signify WARNING, UNKNOWN or CRITICAL state.

SEE ALSO
See Monitoring::Plugin(3)

The RabbitMQ management plugin is described at http://www.rabbitmq.com/management.html

LICENSE
This file is part of nagios-plugins-rabbitmq.

Copyright 2010, Platform 14.

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

AUTHOR
James Casey <jamesc.000@gmail.com>